<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/message_item_avchat_content"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_gravity="center_vertical"
    android:minHeight="40dp"
    android:orientation="vertical"
    android:padding="6dp">

    <ImageView
        android:id="@+id/message_item_type_img_left"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginLeft="3dp"
        android:layout_marginRight="3dp"
        android:src="@drawable/im_avchat_type_audio"
        android:visibility="gone"
        android:scaleType="center"
        app:layout_constraintBottom_toBottomOf="@+id/message_item_avchat_state"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@+id/message_item_avchat_state" />

    <TextView
        android:id="@+id/message_item_avchat_state"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="4dp"
        android:layout_marginRight="5dp"
        android:text="无人接听111111111"
        android:textColor="@color/color_242424"
        android:textSize="15sp"
        app:layout_constraintLeft_toRightOf="@+id/message_item_type_img_left"
        app:layout_constraintRight_toLeftOf="@+id/message_item_type_img_right"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/message_item_type_img_right"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_gravity="center_vertical"
        android:layout_marginLeft="3dp"
        android:layout_marginRight="3dp"
        android:src="@drawable/im_avchat_type_audio"
        android:visibility="gone"
        android:scaleType="center"
        app:layout_constraintBottom_toBottomOf="@+id/message_item_avchat_state"
        app:layout_constraintLeft_toRightOf="@+id/message_item_avchat_state"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/message_item_avchat_state" />

    <View
        android:id="@+id/message_item_avchat_line"
        android:layout_width="0dp"
        android:layout_height="0.5dp"
        android:layout_marginTop="12dp"
        android:background="@color/platform_color_EBEBEB"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/message_item_avchat_state" />

    <TextView
        android:id="@+id/message_item_avchat_btn"
        android:layout_width="wrap_content"
        android:layout_height="32dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="4dp"
        android:background="@drawable/bg_btn1"
        android:gravity="center"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:text="立即接听"
        android:textColor="@color/white"
        android:layout_marginBottom="4dp"
        android:textSize="15dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/message_item_avchat_line" />

</androidx.constraintlayout.widget.ConstraintLayout>